/******************************************************************************/
/*
                                  other.h
*/
/******************************************************************************/

#ifndef INCLUDE_OTHER_H
#define INCLUDE_OTHER_H

#include "vwcms.h"
#include <time.h>

/************************/
/* function prototypes */
/************************/

char* GetCgiVar (char*);
char* GetCgiVarNull (char*);

char* Base64Encode (char*, int);
int Base64Decode (char*);
char* BuildString (DYSTRING*, char*, ...);
int ErrorExit (int, char*, int);
char* FileSpecSearch (int, char*, char*);
char* FreeCgiVar (char*);
char* GetCgiVar (char*);
char* GetCgiVarNull (char*);
char* GetPlatformDescription ();
char* GetTimeString (char*, struct tm*);
int GetVmsVersion ();
char* HtmlEscape (char*);
char* HostNameByAddr (char*);
char *MakeFileName (char*, char*);
char* IsAnImage (char*);
void OutputFromTo (char*, char*);
int PrintFao (char*, int, char*, ...);
char* RfcVmsDate (char*);
char* RssEscape (char*);
char* SizeBytes (int);
int SpawnCommand (char*, char**);
char* StatTimer (BOOL);
char* StringDup (char*);
char* SysGetMsg (int);
int strzcpy (char*, char*, int);
BOOL strsame (char*, char*, int);
char* TidyTextArea (char*, int);
char* TimeString (char*, unsigned long);
char* TrnLnm (char*, char*, int);
void Unknown302 ();
int WaitForLock (char*, int);
void WaitForUnLock ();
int WatchThis (char*, int, char*, ...);
int WatchDump (char*, int);

#endif /* INCLUDE_OTHER_H */

/******************************************************************************/

